diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-reception-test.cc ns-3.44/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-reception-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -48,15 +48,15 @@
 NS_LOG_COMPONENT_DEFINE("WifiPhyReceptionTest");
 
 static const uint8_t CHANNEL_NUMBER = 36;
-static const MHz_u FREQUENCY = 5180;
-static const MHz_u CHANNEL_WIDTH = 20;
+static const MHz_u FREQUENCY{5180};
+static const MHz_u CHANNEL_WIDTH{20};
 static const MHz_u GUARD_WIDTH = CHANNEL_WIDTH; // expanded to channel width to model spectrum mask
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Wifi Phy Reception Test base class
+ * @brief Wifi Phy Reception Test base class
  */
 class WifiPhyReceptionTest : public TestCase
 {
@@ -64,7 +64,7 @@
     /**
      * Constructor
      *
-     * \param test_name the test name
+     * @param test_name the test name
      */
     WifiPhyReceptionTest(std::string test_name);
     /**
@@ -78,20 +78,20 @@
 
     /**
      * Send packet function
-     * \param rxPower the transmit power
-     * \param packetSize the size of the packet in bytes
-     * \param mcs the MCS to transmit the packet
+     * @param rxPower the transmit power
+     * @param packetSize the size of the packet in bytes
+     * @param mcs the MCS to transmit the packet
      */
     void SendPacket(dBm_u rxPower, uint32_t packetSize, uint8_t mcs);
 
     /**
      * Schedule now to check  the PHY state
-     * \param expectedState the expected PHY state
+     * @param expectedState the expected PHY state
      */
     void CheckPhyState(WifiPhyState expectedState);
     /**
      * Check the PHY state now
-     * \param expectedState the expected PHY state
+     * @param expectedState the expected PHY state
      */
     void DoCheckPhyState(WifiPhyState expectedState);
 
@@ -114,7 +114,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          false);
 
     Ptr<Packet> pkt = Create<Packet>(packetSize);
@@ -124,7 +124,8 @@
     hdr.SetQosTid(0);
 
     Ptr<WifiPsdu> psdu = Create<WifiPsdu>(pkt, hdr);
-    Time txDuration = m_phy->CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
+    Time txDuration =
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
 
     Ptr<WifiPpdu> ppdu =
         Create<HePpdu>(psdu, txVector, m_phy->GetOperatingChannel(), txDuration, m_uid++);
@@ -194,10 +195,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Preamble detection test w/o frame capture
+ * @brief Preamble detection test w/o frame capture
  */
 class TestThresholdPreambleDetectionWithoutFrameCapture : public WifiPhyReceptionTest
 {
@@ -209,18 +210,18 @@
 
     /**
      * Spectrum wifi receive success function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
     /**
      * Spectrum wifi receive failure function
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailure(Ptr<const WifiPsdu> psdu);
     uint32_t m_countRxSuccess{0}; ///< count RX success
@@ -231,8 +232,8 @@
 
     /**
      * Check the number of received packets
-     * \param expectedSuccessCount the number of successfully received packets
-     * \param expectedFailureCount the number of unsuccessfully received packets
+     * @param expectedSuccessCount the number of successfully received packets
+     * @param expectedFailureCount the number of unsuccessfully received packets
      */
     void CheckRxPacketCount(uint32_t expectedSuccessCount, uint32_t expectedFailureCount);
 };
@@ -259,8 +260,8 @@
 void
 TestThresholdPreambleDetectionWithoutFrameCapture::RxSuccess(Ptr<const WifiPsdu> psdu,
                                                              RxSignalInfo rxSignalInfo,
-                                                             WifiTxVector txVector,
-                                                             std::vector<bool> statusPerMpdu)
+                                                             const WifiTxVector& txVector,
+                                                             const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccess++;
@@ -299,13 +300,13 @@
     m_phy->AssignStreams(streamNumber);
 
     // RX power > CCA-ED > CCA-PD
-    dBm_u rxPower = -50;
+    dBm_u rxPower{-50};
 
     // CASE 1: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
     // minus the time to detect the preamble, otherwise it should be IDLE.
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -313,30 +314,30 @@
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(1) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -353,13 +354,13 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -367,21 +368,21 @@
                         7);
     // At 4us, no preamble is successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(2.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(2) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -399,35 +400,35 @@
     // CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus the
     // time to detect the preamble.
 
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 4us, no preamble is successfully detected, hence STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(3.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(3) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -444,54 +445,54 @@
     // is higher than the threshold of 4 dB), but payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(4.0),
+    Simulator::Schedule(Seconds(4),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us.
     // However, since there is a second packet transmitted with a power above CCA-ED (-62 dBm), PHY
     // should first be seen as CCA_BUSY for 2us.
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -508,35 +509,35 @@
     // above CCA-ED (-62 dBm). CCA_BUSY state should last for the duration of the two packets minus
     // the time to detect the preamble.
 
-    Simulator::Schedule(Seconds(5.0),
+    Simulator::Schedule(Seconds(5),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000,
                         7);
     // At 6us (hence 4us after the last signal is received), no preamble is successfully detected,
     // hence STA PHY STATE should move from IDLE to CCA_BUSY
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(5999),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(5999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(6000),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(6000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // Since it takes 152.8us to transmit each packet, PHY should be back to IDLE at time 152.8 + 2
     // = 154.8us
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(154799),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(154799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(154800),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(154800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -549,13 +550,13 @@
                         1);
 
     // CCA-PD < RX power < CCA-ED
-    rxPower = -70;
+    rxPower = dBm_u{-70};
 
     // CASE 6: send one packet and check PHY state:
     // All reception stages should succeed and PHY state should be RX for the duration of the packet
     // minus the time to detect the preamble, otherwise it should be IDLE.
 
-    Simulator::Schedule(Seconds(6.0),
+    Simulator::Schedule(Seconds(6),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -563,30 +564,30 @@
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -603,20 +604,20 @@
     // a valid OFDM transmission at a receive level greater than or equal to the minimum modulation
     // and coding rate sensitivity (–82 dBm for 20 MHz channel spacing).
 
-    Simulator::Schedule(Seconds(7.0),
+    Simulator::Schedule(Seconds(7),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(7) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(7) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -635,20 +636,20 @@
     // greater than or equal to the minimum modulation and coding rate sensitivity (–82 dBm for 20
     // MHz channel spacing).
 
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(8.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(8) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(8.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(8) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -665,45 +666,45 @@
     // is higher than the threshold of 4 dB), but payload reception should fail (SNR too low to
     // decode the modulation).
 
-    Simulator::Schedule(Seconds(9.0),
+    Simulator::Schedule(Seconds(9),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(9.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(9) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower - 6,
+                        rxPower - dB_u{6},
                         1000,
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to CCA_BUSY at time
     // 152.8us.
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(9.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(9) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -719,20 +720,20 @@
     // lower than the threshold of 4 dB), and PHY state should stay IDLE since the total energy is
     // below CCA-ED (-62 dBm).
 
-    Simulator::Schedule(Seconds(10.0),
+    Simulator::Schedule(Seconds(10),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
-    Simulator::Schedule(Seconds(10.0) + MicroSeconds(2.0),
+    Simulator::Schedule(Seconds(10) + MicroSeconds(2),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000,
                         7);
     // At 4us, STA PHY STATE should stay IDLE
-    Simulator::Schedule(Seconds(10.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(10) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -748,9 +749,9 @@
     // detection (-82 dBm) and check PHY state: preamble detection should succeed and PHY state
     // should move to RX.
 
-    rxPower = -81;
+    rxPower = dBm_u{-81};
 
-    Simulator::Schedule(Seconds(11.0),
+    Simulator::Schedule(Seconds(11),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
@@ -758,49 +759,49 @@
                         7);
     // At 4us, preamble should be successfully detected and STA PHY STATE should move from IDLE to
     // CCA_BUSY
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(3999),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(3999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(4000),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(4000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44us, PHY header should be successfully received and STA PHY STATE should move from
     // CCA_BUSY to RX
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(43999),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(44000),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to IDLE at time 152.8us.
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(152799),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(11.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(11) + NanoSeconds(152800),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
 
     // RX power < CCA-PD < CCA-ED
-    rxPower = -83;
+    rxPower = dBm_u{-83};
 
     // CASE 12: send one packet with a power slightly below the minimum RSSI needed for the preamble
     // detection (-82 dBm) and check PHY state: preamble detection should fail and PHY should be
     // kept in IDLE state.
 
-    Simulator::Schedule(Seconds(12.0),
+    Simulator::Schedule(Seconds(12),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 4us, STA PHY state should be IDLE
-    Simulator::Schedule(Seconds(12.0) + MicroSeconds(4.0),
+    Simulator::Schedule(Seconds(12) + MicroSeconds(4),
                         &TestThresholdPreambleDetectionWithoutFrameCapture::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
@@ -810,10 +811,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Preamble detection test w/o frame capture
+ * @brief Preamble detection test w/o frame capture
  */
 class TestThresholdPreambleDetectionWithFrameCapture : public WifiPhyReceptionTest
 {
